This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022825 - An incorrect command is indicated when running oo-admin-check-sources.py with diabled repo
An incorrect command is indicated when running oo-admin-check-sources.py with...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 02:40 EDT by Ma xiaoqiang
Modified: 2017-03-08 12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-24 02:40:40 EDT
Description of problem:
Disable a repo which is used by openshift, then run oo-admin-check-sources.py to find out the disable repo, but it is indictating an incorrect command to user.

Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-extras/tree/enterprise-2.0/admin/check-sources

How reproducible:
always

Steps to Reproduce:
1.use the following settings in /etc/rhsm/rhsm.conf:
    hostname=subscription.rhn.stage.redhat.com
    baseurl=https://cdn.rcm-qa.redhat.com 
2.register a subscription
# subscription-manager  subscribe --pool 8a99f98341c648100141d9bab4fc13b5   
3.make sure  this subscription has a disabled repo, if not, run the command
#yum-config-manager --disable jb-ews-2-for-rhel-6-server-rpms --save 
4.check the resource
#./oo-admin-check-sources.py --role=node

Actual results:
Output
NOTE: If this system will be providing the JBossEAP cartridge, re-run this command with the --role=node-eap argument
Detected installed OpenShift Enterprise version 1.2
Checking if yum-plugin-priorities is installed
Required package yum-plugin-priorities is not installed. Install the package with the following command:
# yum install yum-plugin-priorities
The required OpenShift Enterprise repositories are disabled: ['jb-ews-2-for-rhel-6-server-rpms']
Enable these repositories with the following commands:
# yum-config-manager --enablerepo=jb-ews-2-for-rhel-6-server-rpms jb-ews-2-for-rhel-6-server-rpms --save
Skipping yum priorities verification

The tool gives out the command to enable the repo, but the command does not work.
run the command given out, then re-do step 4, the result still show the jb-ews-2-for-rhel-6-server-rpms repo is disabled.
The correct command should be:
#yum-config-manager --enable jb-ews-2-for-rhel-6-server-rpms --save 
After run the command above, then re-do step 4, the result show no disabled repo.

Expected results:
Should give out correct command


Additional info:
Comment 2 John W. Lamb 2013-10-24 15:18:09 EDT
This has been addressed in this pull request:
  https://github.com/openshift/openshift-extras/pull/108
...which has been merged into the enterprise-2.0 branch of openshift-extras.

The advice output has been changed to indicate subscription-manager instead of yum-config-manager. "subscription-manager repos --enable=repo_id" will work in the current version of RHEL against RHSM-provided repositories, but unlike yum-config-manager it will also work in future versions of RHEL where the authoritative RHSM repo configuration is stored remotely.

For non-RHN, non-RHSM repositories, the appropriate yum-configuration-manager advice is given.
Comment 3 Ma xiaoqiang 2013-10-24 22:24:51 EDT
check it on the new version
#yum-config-manager --disable jb-ews-2-for-rhel-6-server-rpms --save 
#./oo-admin-check-sources.py --role=node 
Output:
If this system will be providing the JBossEAP cartridge, re-run this command with the --role=node-eap argument
Detected installed OpenShift Enterprise version 1.2
Checking if yum-plugin-priorities is installed
The required OpenShift Enterprise repositories are disabled: ['jb-ews-2-for-rhel-6-server-rpms']
Enable these repositories with the following commands:
# subscription-manager repos --enable=jb-ews-2-for-rhel-6-server-rpms

Note You need to log in before you can comment on or make changes to this bug.